   --  ᨭ⠪  ᥬ⨪ 㭪樮
   -- until
   -- ****************************************
   -- 㭪 ⨢ 頥  १
   -- ᫥ ⭮   ᫠ x, 
   --
   --   f1 x = (sqrt ... (sqrt (sqrt x))),
   --
   --   㤥 祭 ᫮, 襥 2
   ------------------------------------------
   f1:: Float -> Float
   f1 x =   until (< 2) sqrt x
         -- until (\z -> z < 2) (\z -> sqrt z) x
   ---------------------------------------------
   -- 㭪 ⨢ 頥 १
   -- ᫥ 祭 㭪樨 sin x
   --
   --   f2 x = sin (sin ... (sin (sin x)))
   --
   --   㤥 祭 ᫮, 襥 0.01
   ---------------------------------------------
   f2:: Float -> Float
   f2 x =   until (< 0.01) sin x
         -- until (\z -> z < 0.01) (\z -> sin z) x
   -----------------------------------------------
   -- 㭪 頥 쭮 祭 x,
   --  ண
   --
   -- s+x*g<f,
   --
   --  s, g, f - 㭪樨-⠭
   ----------------------------------
   awk:: Integer -> Integer
   awk x = until (\z -> s+z*g>f) (\z -> z+1) x
       where s =  4 
             g =  5
             f = 30
   -- ***************************
   -- 㤠 ⮢ ਬ:
   ------------------------------------------
   test1 =   f1 25   == sqrt (sqrt (sqrt 25))
          && f1 1024 == sqrt (sqrt (sqrt (sqrt 1024)))
          && abs (f1 25 - 1.49535) < 0.00001
   -----------------------------------------
   --  ⮢ ਬ:
   ----------------------------------------
   test2 = abs (f1 25 - 1.49535) < 0.000001
   -- *************************************
   test3 = f2 1.5
   test4 = last (take 297 (iterate sin 1.5))
   -----------------------------------------
   test5 = awk 0==6
